MailcrateDocs
Contacts

Update a contact

PUT
/public/contact/{id}

Requires the contact:write scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Path Parameters

id*string

Request Body

application/json
  1. body
email?string
externalIdentifier?string|null
properties*

Response Body

application/json
  1. response
id*string
email*string
externalIdentifier*string|null
status*string
Value in"subscribed""unsubscribed"
properties*
created*string
Formatdate-time
updated*string
Formatdate-time
Example Request
curl -X PUT 'https://api.mailcrate.io/public/contact/string' \  -H 'Authorization: Api-Key <api_key>' \  -H 'Content-Type: application/json' \  -d '{  "properties": {}}'
Example Response
{  "id": "string",  "email": "string",  "externalIdentifier": "string",  "status": "subscribed",  "properties": {},  "created": "2019-08-24T14:15:22Z",  "updated": "2019-08-24T14:15:22Z"}